upf:
  General:
    display: "General"
    list:
    - name: "ConfigFileDirectory"
      type: "string"
      value: "/usr/local/etc/upf/"
      access: "read-write"
      filter: ''
      display: "Config File Directory"
      comment: ""
    - name: "ExeFileDirectory"
      type: "string"
      value: "/usr/local/bin/"
      access: "read-write"
      filter: ''
      display: "Exe File Directory"
      comment: ""
    - name: "SystemId"
      type: "int"
      value: "1"
      access: "read-write"
      filter: ''
      display: "System Id"
      comment: "1~255"
    - name: "DataForwarderNum"
      type: "int"
      value: "1"
      access: "read-write"
      filter: '1~8'
      display: "Data Forwarder Number"
      comment: "1~8"
    - name: "CommonStatisticInterval"
      type: "int"
      value: "60"
      access: "read-write"
      filter: '0~255'
      display: "Common Statistic Interval"
      comment: "0~255"
    - name: "UserStatisticInterval"
      type: "int"
      value: "60"
      access: "read-write"
      filter: '0~255'
      display: "User Statistic Interval"
      comment: "0~255"
  Logger:
    display: "Logger"
    list:
      - name: "LogFileFullPath"
        type: "string"
        value: "/var/log/upf.log"
        access: "read-write"
        filter: ''
        display: "Log File Full Path"
        comment: ""
      - name: "LogLevel"
        type: "string"
        value: "error"
        access: "read-write"
        filter: ''
        display: "Log Level"
        comment: "error|warning|info|debug"
      - name: "UpfdLogTransfer"
        type: "bool"
        value: "false"
        access: "read-write"
        filter: ''
        display: "Upfd Log Transfer"
        comment: ""
      - name: "ReportCaller"
        type: "bool"
        value: "false"
        access: "read-write"
        filter: ''
        display: "Report Caller"
        comment: ""
  Pfcp:
    display: "Pfcp"
    list:
      - name: "IpType"
        type: "string"
        value: "ipv4"
        access: "read-write"
        filter: ''
        display: "Ip Type"
        comment: "ipv4|ipv6|ipv46"
      - name: "LocalIpv4"
        type: "string"
        value: "0.0.0.0"
        access: "read-write"
        filter: ''
        display: "Local Ipv4"
        comment: ""
      - name: "LocalIpv6"
        type: "string"
        value: ""
        access: "read-write"
        filter: ''
        display: "Local Ipv6"
        comment: ""
      - name: "LocalUdpPort"
        type: "int"
        value: "8805"
        access: "read-write"
        filter: '0~65535'
        display: "Local Udp Port"
        comment: "0~65535"
      - name: "SmfIpv4"
        type: "string"
        value: "0.0.0.0"
        access: "read-write"
        filter: ''
        display: "SMF Ipv4"
        comment: ""
      - name: "SmfIpv6"
        type: "string"
        value: ""
        access: "read-write"
        filter: ''
        display: "SMF Ipv6"
        comment: ""
      - name: "SmfUdpPort"
        type: "int"
        value: "8805"
        access: "read-write"
        filter: '0~65535'
        display: "SMF UDP Port"
        comment: "0~65535"
      - name: "RetryInterval"
        type: "int"
        value: "2"
        access: "read-write"
        filter: '0~255'
        display: "Retry Interval"
        comment: "0~255"
      - name: "MaxRetry"
        type: "int"
        value: "3"
        access: "read-write"
        filter: '0~255'
        display: "Max Retry"
        comment: "0~255"
      - name: "HeartbeatInterval"
        type: "int"
        value: "15"
        access: "read-write"
        filter: '0~255'
        display: "Heartbeat Interval"
        comment: "0~255"
  Omc:
    display: "Omc"
    list:
      - name: "Enabled"
        type: "bool"
        value: "false"
        access: "read-write"
        filter: ''
        display: "Enabled"
        comment: ""
      - name: "IpType"
        type: "string"
        value: "ipv4"
        access: "read-write"
        filter: ''
        display: "Ip Type"
        comment: "ipv4|ipv6|ipv46"
      - name: "LocalIpv4"
        type: "string"
        value: "0.0.0.0"
        access: "read-write"
        filter: ''
        display: "Local Ipv4"
        comment: ""
      - name: "LocalIpv6"
        type: "string"
        value: ""
        access: "read-write"
        filter: ''
        display: "Local Ipv6"
        comment: ""
      - name: "LocalSeverPort"
        type: "int"
        value: "3030"
        access: "read-write"
        filter: '0~65535'
        display: "Local Sever Port"
        comment: "0~65535"
      - name: "OmcIpv4"
        type: "string"
        value: "0.0.0.0"
        access: "read-write"
        filter: ''
        display: "OMC Ipv4"
        comment: ""
      - name: "OmcIpv6"
        type: "string"
        value: ""
        access: "read-write"
        filter: ''
        display: "OMC Ipv6"
        comment: ""
      - name: "OmcPort"
        type: "int"
        value: "3030"
        access: "read-write"
        filter: '0~65535'
        display: "OMC Port"
        comment: "0~65535"
      - name: "HttpScheme"
        type: "string"
        value: "http"
        access: "read-write"
        filter: ''
        display: "Http Scheme"
        comment: "http|https"
      - name: "KpiStatisticInterval"
        type: "int"
        value: "1"
        access: "read-write"
        filter: '0~255'
        display: "Kpi Statistic Interval"
        comment: "0~255"
      - name: "NeId"
        type: "string"
        value: ""
        access: "read-write"
        filter: ''
        display: "Ne Id"
        comment: ""
      - name: "NeName"
        type: "string"
        value: ""
        access: "read-write"
        filter: ''
        display: "Ne Name"
        comment: ""
      - name: "ObjectName"
        type: "string"
        value: ""
        access: "read-write"
        filter: ''
        display: "Object Name"
        comment: ""
      - name: "Province"
        type: "string"
        value: ""
        access: "read-write"
        filter: ''
        display: "Province"
        comment: ""
      - name: "PVFlag"
        type: "string"
        value: ""
        access: "read-write"
        filter: ''
        display: "PV Flag"
        comment: ""
  Telnet:
    display: "Telnet"
    list:
      - name: "Enabled"
        type: "bool"
        value: "false"
        access: "read-write"
        filter: ''
        display: "Enabled"
        comment: ""
      - name: "IpType"
        type: "string"
        value: "ipv4"
        access: "read-write"
        filter: ''
        display: "Ip Type"
        comment: "ipv4|ipv6|ipv46"
      - name: "LocalIpv4"
        type: "string"
        value: "0.0.0.0"
        access: "read-write"
        filter: ''
        display: "Local Ipv4"
        comment: ""
      - name: "LocalIpv6"
        type: "string"
        value: ""
        access: "read-write"
        filter: ''
        display: "Local Ipv6"
        comment: ""
      - name: "LocalPort"
        type: "int"
        value: "4100"
        access: "read-write"
        filter: '0~65535'
        display: "Local Port"
        comment: "0~65535"
  Sbi:
    display: "Sbi"
    list:
      - name: "Enabled"
        type: "bool"
        value: "false"
        access: "read-write"
        filter: ''
        display: "Enabled"
        comment: ""
      - name: "IpType"
        type: "string"
        value: "ipv4"
        access: "read-write"
        filter: ''
        display: "Ip Type"
        comment: "ipv4|ipv6|ipv46"
      - name: "LocalIpv4"
        type: "string"
        value: "0.0.0.0"
        access: "read-write"
        filter: ''
        display: "Local Ipv4"
        comment: ""
      - name: "LocalIpv6"
        type: "string"
        value: ""
        access: "read-write"
        filter: ''
        display: "Local Ipv6"
        comment: ""
      - name: "LocalPort"
        type: "int"
        value: "4100"
        access: "read-write"
        filter: '0~65535'
        display: "Local Port"
        comment: "0~65535"
      - name: "NrfIpv4"
        type: "string"
        value: "0.0.0.0"
        access: "read-write"
        filter: ''
        display: "NRF Ipv4"
        comment: ""
      - name: "NrfIpv6"
        type: "string"
        value: ""
        access: "read-write"
        filter: ''
        display: "NRF Ipv6"
        comment: ""
      - name: "NrfPort"
        type: "int"
        value: "8080"
        access: "read-write"
        filter: '0~65535'
        display: "NRF Port"
        comment: "0~65535"
  RedisDb:
    display: "RedisDb"
    list:
      - name: "Enabled"
        type: "bool"
        value: "false"
        access: "read-write"
        filter: ''
        display: "Enabled"
        comment: ""
      - name: "NetType"
        type: "string"
        value: "tcp"
        access: "read-write"
        filter: ''
        display: "Net Type"
        comment: "tcp|udp"
      - name: "ServerAddr"
        type: "string"
        value: "0.0.0.0:0"
        access: "read-write"
        filter: ''
        display: "Server Address"
        comment: ""
  DataForwarderCommon:
    display: "Data Forwarder Common"
    list:
      - name: "Type"
        type: "string"
        value: "upfd"
        access: "read-only"
        filter: ''
        display: "Type"
        comment: "Type"
      - name: "InstanceId"
        type: "int"
        value: "1"
        access: "read-only"
        filter: '1~255'
        display: "Instance Id"
        comment: "1~255"
      - name: "MainCpu"
        type: "int"
        value: "1"
        access: "read-write"
        filter: '1~255'
        display: "Main Cpu"
        comment: "1~255"
      - name: "CpuWorkers"
        type: "string"
        value: ""
        access: "read-write"
        filter: ''
        display: "Cpu Workers"
        comment: "2,3,4,5 or 2-5"
      - name: "IsRun"
        type: "int"
        value: "0"
        access: "read-write"
        filter: '0~1'
        display: "Is Run"
        comment: "data forwarder already run or not"
      - name: "IsHotStandby"
        type: "int"
        value: "0"
        access: "read-write"
        filter: '0~1'
        display: "Is Hot Standby"
        comment: "Hot Standby work or not"
      - name: "TeidStart"
        type: "int"
        value: "16777216"
        access: "read-write"
        filter: ''
        display: "Teid Start"
        comment: "Teid Start Value"
  DataForwarderUpfd:
    display: "Data Forwarder Upfd"
    list:
      - name: "UioDriver"
        type: "string"
        value: "vfio-pci"
        access: "read-write"
        filter: ''
        display: "Uio Driver"
        comment: "Uio Driver name"
      - name: "CommandlineListen"
        type: "string"
        value: "localhost:5002"
        access: "read-write"
        filter: ''
        display: "Telnet Address IP:Port"
        comment: "Telnet Address IP:Port"
      - name: "HeapSizeGB"
        type: "int"
        value: "2"
        access: "read-write"
        filter: '1~4'
        display: "Heap Size Gb"
        comment: "Heap Size Gb"
      - name: "StateSegSizeMB"
        type: "int"
        value: "256"
        access: "read-write"
        filter: '64~512'
        display: "State Seg Size Mb"
        comment: "State Seg Size Mb"
      - name: "DpdkNoPci"
        type: "int"
        value: "0"
        access: "read-write"
        filter: '0~1'
        display: "Dpdk No Pci"
        comment: "Dpdk No Pci"
      - name: "SessionBaseVa"
        type: "string"
        value: "0x2000000000"
        access: "read-write"
        filter: ''
        display: "Session Base Va"
        comment: "Session Base Va"
  DataInterfaceList:
    display: "Data Interface List"
    array:
      - name: "Index"
        type: "int"
        value: "1"
        access: "read-only"
        filter: '1~32'
        display: "Index"
        comment: "1~32"
      - name: "InterfaceType"
        type: "string"
        value: "N3"
        access: "read-write"
        filter: ''
        display: "Interface Type"
        comment: "N3|N6|N9|N19"
      - name: "InterfaceId"
        type: "int"
        value: "0"
        access: "read-write"
        filter: '0~255'
        display: "Interface Id"
        comment: "Interface Id"
      - name: "DriverType"
        type: "string"
        value: "host"
        access: "read-write"
        filter: ''
        display: "Driver Type"
        comment: "host|vmxnet3|dpdk|socket|uds"
      - name: "DnnName"
        type: "string"
        value: "default"
        access: "read-write"
        filter: ''
        display: "Dnn Name"
        comment: "Dnn Name"
      - name: "IpType"
        type: "string"
        value: "ipv4"
        access: "read-write"
        filter: ''
        display: "Ip Type"
        comment: "ipv4|ipv6|ipv4v6"
      - name: "Ipv4"
        type: "string"
        value: "0.0.0.0"
        access: "read-write"
        filter: ''
        display: "Ipv4"
        comment: "Ipv4 Address"
      - name: "Ipv4Mask"
        type: "string"
        value: "255.255.255.0"
        access: "read-write"
        filter: ''
        display: "Ipv4 Mask"
        comment: "Ipv4 Mask Address"
      - name: "Ipv6"
        type: "string"
        value: ""
        access: "read-write"
        filter: ''
        display: "Ipv6"
        comment: "Ipv6 Address"
      - name: "Ipv6Prefix"
        type: "int"
        value: "64"
        access: "read-write"
        filter: '1~128'
        display: "Ipv6 Prefix"
        comment: "Ipv6 Prefix Value"
      - name: "MacAddr"
        type: "string"
        value: "00:00:00:00:00:00"
        access: "read-write"
        filter: ''
        display: "Mac Address"
        comment: "Mac Address"
      - name: "InterfacePCI"
        type: "string"
        value: "0000:00:00.0"
        access: "read-write"
        filter: ''
        display: "Interface PCI"
        comment: "Interface PCI Value"
      - name: "SystemNetworkCardName"
        type: "string"
        value: ""
        access: "read-write"
        filter: ''
        display: "System Network Card Name"
        comment: "System Network Card Name"
      - name: "GatewayIpv4"
        type: "string"
        value: "0.0.0.0"
        access: "read-write"
        filter: ''
        display: "Gateway Ipv4"
        comment: "Gateway Ipv4 Value"
      - name: "GatewayIpv6"
        type: "string"
        value: ""
        access: "read-write"
        filter: ''
        display: "Gateway Ipv6"
        comment: "Gateway Ipv6 Value"
      - name: "Mtu"
        type: "int"
        value: "1500"
        access: "read-write"
        filter: '1~65536'
        display: "Mtu"
        comment: "Mtu"
      - name: "VlanIdMin"
        type: "int"
        value: "0"
        access: "read-write"
        filter: ''
        display: "Vlan Id Min"
        comment: "Vlan Id Min Value"
      - name: "VlanIdMax"
        type: "int"
        value: ""
        access: "read-write"
        filter: ''
        display: "Vlan Id Max"
        comment: "Vlan Id Max Value"
      - name: "UdpSrcPort"
        type: "int"
        value: "0"
        access: "read-write"
        filter: '1~65536'
        display: "Udp Src Port"
        comment: "Udp Src Port"
      - name: "UdpListenPort"
        type: "string"
        value: "2152"
        access: "read-write"
        filter: '1~65536'
        display: "Udp Listen Port"
        comment: "Udp Listen Port Value"
      - name: "UdsLocalFileFullPath"
        type: "string"
        value: ""
        access: "read-write"
        filter: ''
        display: "Uds Local File Full Path"
        comment: "Uds Local File Full Path"
      - name: "UdsRemoteFileFullPath"
        type: "string"
        value: ""
        access: "read-write"
        filter: ''
        display: "Uds Remote File Full Path"
        comment: "Uds Remote File Full Path"
      - name: "LinkDetectionType"
        type: "int"
        value: "0"
        access: "read-write"
        filter: '0~1'
        display: "Link Detection Type"
        comment: "Link Detection Type"
      - name: "GtpuRemoteIpv4PoolList"
        type: "int"
        value: "1"
        access: "read-write"
        filter: '1~32'
        display: "Gtpu Remote Ipv4 Pool List"
        comment: "Gtpu Remote Ipv4 Pool List"
        array:
        - name: "Index"
          type: "int"
          value: "1"
          access: "read-only"
          filter: '1~32'
          display: "Index"
          comment: "1~32"
        - name: "Ipv4"
          type: "string"
          value: "0.0.0.0"
          access: "read-write"
          filter: ''
          display: "Ipv4"
          comment: "Ipv4"
        - name: "Ipv4Mask"
          type: "string"
          value: "0.0.0.0"
          access: "read-write"
          filter: ''
          display: "Ipv4 Mask"
          comment: "Ipv4 Mask"
      - name: "GtpuRemoteIpv6PoolList"
        type: "int"
        value: "1"
        access: "read-write"
        filter: '1~32'
        display: "Gtpu Remote Ipv6 Pool List"
        comment: "Gtpu Remote Ipv6 Pool List"
        array:
        - name: "Index"
          type: "int"
          value: "1"
          access: "read-only"
          filter: '1~32'
          display: "Index"
          comment: "1~32"
        - name: "Ipv6"
          type: "string"
          value: ""
          access: "read-write"
          filter: ''
          display: "Ipv6"
          comment: "Ipv6"
        - name: "Ipv6Prefix"
          type: "int"
          value: "64"
          access: "read-write"
          filter: ''
          display: "Ipv6 Prefix"
          comment: "Ipv6 Prefix"
      - name: "GtpuSignalingHandle"
        type: "int"
        value: "0"
        access: "read-write"
        filter: '0~1'
        display: "Gtpu Signaling Handle"
        comment: "Gtpu Signaling Handle"
      - name: "ImsDefaultDSCPValue"
        type: "int"
        value: "0"
        access: "read-write"
        filter: '0~1'
        display: "Ims Default DSCP Value"
        comment: "Ims Default DSCP Value"
      - name: "DataDefaultDSCPValue"
        type: "int"
        value: "0"
        access: "read-write"
        filter: '0~1'
        display: "Data Default DSCP Value"
        comment: "Data Default DSCP Value"
      - name: "InnerDSCPValueMap"
        type: "int"
        value: "0"
        access: "read-write"
        filter: '0~1'
        display: "Inner DSCP Value Map"
        comment: "Inner DSCP Value Map"
      - name: "MaxSupportSpeedMbps"
        type: "int"
        value: "0"
        access: "read-write"
        filter: '0~65536'
        display: "Max Support Speed Mbps"
        comment: "Max Support Speed Mbps"
      - name: "DpdkRxQueuesNumber"
        type: "int"
        value: "0"
        access: "read-write"
        filter: '0~127'
        display: "Dpdk Rx Queues Number"
        comment: "Dpdk Rx Queues Number"
      - name: "DpdkTxQueuesNumber"
        type: "int"
        value: "0"
        access: "read-write"
        filter: '0~127'
        display: "Dpdk Tx Queues Number"
        comment: "Dpdk Tx Queues Number"
      - name: "DpdkWorkersNumber"
        type: "int"
        value: "0"
        access: "read-write"
        filter: '0~127'
        display: "Dpdk Workers Number"
        comment: "Dpdk Workers Number"
  NetworkControlCommon:
    display: "Network Control Common"
    list:
      - name: "LocalSwitchDisabled"
        type: "int"
        value: "0"
        access: "read-write"
        filter: '0~1'
        display: "Local Switch Disabled"
        comment: "Local Switch Disabled"
      - name: "MaxTCPSyncPerSecond"
        type: "int"
        value: "0"
        access: "read-write"
        filter: ''
        display: "Max TCP Sync Per Second"
        comment: "Max TCP Sync Per Second"
      - name: "UpfMaxSupportMbps"
        type: "int"
        value: "0"
        access: "read-write"
        filter: ''
        display: "Upf Max Support Mbps"
        comment: "Upf Max Support Mbps"
  NetworkControlDnnList:
    display: "Network Control Dnn List"
    array:
      - name: "Index"
        type: "int"
        value: "1"
        access: "read-only"
        filter: '1~32'
        display: "Index"
        comment: "1~32"
      - name: "DnnName"
        type: "string"
        value: ""
        access: "read-write"
        filter: ''
        display: "Dnn Name"
        comment: "Dnn Name"
      - name: "N3InterfaceId"
        type: "int"
        value: "1"
        access: "read-write"
        filter: '1~32'
        display: "N3 Interface Id"
        comment: "N3 Interface Id"
      - name: "N6InterfaceId"
        type: "int"
        value: "1"
        access: "read-write"
        filter: '1~32'
        display: "N6 Interface Id"
        comment: "N6 Interface Id"
      - name: "HttpProtoEnabled"
        type: "int"
        value: "0"
        access: "read-write"
        filter: '0~1'
        display: "Http Proto Enabled"
        comment: "Http Proto Enabled"
      - name: "HttpsProtoEnabled"
        type: "int"
        value: "0"
        access: "read-write"
        filter: '0~1'
        display: "Https Proto Enabled"
        comment: "Https Proto Enabled"
      - name: "HeaderEnrichInfoList"
        type: "int"
        value: "1"
        access: "read-write"
        filter: '1~32'
        display: "Header Enrich Info List"
        comment: "Header Enrich Info List"
        array:
          - name: "Index"
            type: "int"
            value: "1"
            access: "read-only"
            filter: '1~32'
            display: "Index"
            comment: "1~32"
          - name: "Type"
            type: "int"
            value: "0"
            access: "read-write"
            filter: ''
            display: "Type"
            comment: "Type"
          - name: "Name"
            type: "string"
            value: ""
            access: "read-write"
            filter: ''
            display: "Name"
            comment: "Name"
          - name: "Value"
            type: "string"
            value: ""
            access: "read-write"
            filter: ''
            display: "Value"
            comment: "Value"
      - name: "StatisticEnabled"
        type: "int"
        value: "0"
        access: "read-write"
        filter: '0~1'
        display: "Statistic Enabled"
        comment: "Statistic Enabled"
      - name: "LocalSwitchCheck"
        type: "int"
        value: "0"
        access: "read-write"
        filter: '0~1'
        display: "Local Switch Check"
        comment: "Local Switch Check"
      - name: "QerMaxSupportMbps"
        type: "int"
        value: "0"
        access: "read-write"
        filter: ''
        display: "QER Max Support Mbps"
        comment: "QER Max Support Mbps"
      - name: "UeIpv4PoolList"
        type: "int"
        value: "1"
        access: "read-write"
        filter: '1~32'
        display: "Ue Ipv4 Pool List"
        comment: "Ue Ipv4 Pool List"
        array:
          - name: "Index"
            type: "int"
            value: "1"
            access: "read-only"
            filter: '1~32'
            display: "Index"
            comment: "1~32"
          - name: "Ipv4"
            type: "string"
            value: "0.0.0.0"
            access: "read-only"
            filter: ''
            display: "Ipv4"
            comment: "Ipv4"
          - name: "Ipv4Mask"
            type: "string"
            value: "255.255.255.0"
            access: "read-only"
            filter: ''
            display: "Ipv4Mask"
            comment: "Ipv4Mask"
      - name: "UeIpv6PoolList"
        type: "int"
        value: "1"
        access: "read-write"
        filter: '1~32'
        display: "Ue Ipv6 Pool List"
        comment: "Ue Ipv6 Pool List"
        array:
          - name: "Index"
            type: "int"
            value: "1"
            access: "read-only"
            filter: '1~32'
            display: "Index"
            comment: "1~32"
          - name: "Ipv6"
            type: "string"
            value: ""
            access: "read-only"
            filter: ''
            display: "Ipv6"
            comment: "Ipv6"
          - name: "Ipv6Prefix"
            type: "int"
            value: "64"
            access: "read-only"
            filter: '1~128'
            display: "Ipv6 Prefix"
            comment: "Ipv6 Prefix"
      - name: "DstServerIpv4PoolList"
        type: "int"
        value: "1"
        access: "read-write"
        filter: '1~32'
        display: "Dst Server Ipv4 Pool List"
        comment: "Dst Server Ipv4 Pool List"
        array:
          - name: "Index"
            type: "int"
            value: "1"
            access: "read-only"
            filter: '1~32'
            display: "Index"
            comment: "1~32"
          - name: "Ipv4"
            type: "string"
            value: "0.0.0.0"
            access: "read-only"
            filter: ''
            display: "Ipv4"
            comment: "Ipv4"
          - name: "Ipv4Mask"
            type: "string"
            value: "255.255.255.0"
            access: "read-only"
            filter: ''
            display: "Ipv4Mask"
            comment: "Ipv4Mask"
      - name: "DstServerIpv6PoolList"
        type: "int"
        value: "1"
        access: "read-write"
        filter: '1~32'
        display: "Dst Server Ipv6 Pool List"
        comment: "Dst Server Ipv6 Pool List"
        array:
          - name: "Index"
            type: "int"
            value: "1"
            access: "read-only"
            filter: '1~32'
            display: "Index"
            comment: "1~32"
          - name: "Ipv6"
            type: "string"
            value: ""
            access: "read-only"
            filter: ''
            display: "Ipv6"
            comment: "Ipv6"
          - name: "Ipv6Prefix"
            type: "int"
            value: "64"
            access: "read-only"
            filter: '1~128'
            display: "Ipv6 Prefix"
            comment: "Ipv6 Prefix"
      - name: "GatewayIpType"
        type: "string"
        value: "ipv4"
        access: "read-write"
        filter: ''
        display: "Gateway Ip Type"
        comment: "ipv4|ipv6|ipv4v6"
      - name: "GatewayIpv4"
        type: "string"
        value: "0.0.0.0"
        access: "read-write"
        filter: ''
        display: "Gateway Ipv4"
        comment: "Gateway Ipv4"
      - name: "GatewayIpv6"
        type: "string"
        value: ""
        access: "read-write"
        filter: ''
        display: "Gateway Ipv6"
        comment: "Gateway Ipv6"
      - name: "M2MIpType"
        type: "string"
        value: "ipv4"
        access: "read-write"
        filter: ''
        display: "M2M Ip Type"
        comment: "ipv4|ipv6|ipv4v6"
      - name: "M2MIpv4"
        type: "string"
        value: "0.0.0.0"
        access: "read-write"
        filter: ''
        display: "M2M Ipv4"
        comment: "M2M Ipv4"
      - name: "M2MIpv6"
        type: "string"
        value: ""
        access: "read-write"
        filter: ''
        display: "M2M Ipv6"
        comment: "M2M Ipv6"
      - name: "M2MUdpPort"
        type: "int"
        value: ""
        access: "read-write"
        filter: '1~65535'
        display: "M2M Udp Port"
        comment: "M2M Udp Port"
      - name: "GreLocalInnerIpType"
        type: "string"
        value: "ipv4"
        access: "read-write"
        filter: ''
        display: "Gre Local Inner Ip Type"
        comment: "ipv4|ipv6|ipv4v6"
      - name: "GreLocalInnerIpv4"
        type: "string"
        value: "0.0.0.0"
        access: "read-write"
        filter: ''
        display: "Gre Local Inner Ipv4"
        comment: "Gre Local Inner Ipv4"
      - name: "GreLocalInnerIpv6"
        type: "string"
        value: ""
        access: "read-write"
        filter: ''
        display: "Gre Local Inner Ipv6"
        comment: "Gre Local Inner Ipv6"
      - name: "GreRemoteOuterIpType"
        type: "string"
        value: "ipv4"
        access: "read-write"
        filter: ''
        display: "Gre Remote Outer Ip Type"
        comment: "ipv4|ipv6|ipv4v6"
      - name: "GreRemoteOuterIpv4"
        type: "string"
        value: "0.0.0.0"
        access: "read-write"
        filter: ''
        display: "Gre Remote Outer Ipv4"
        comment: "Gre Remote Outer Ipv4"
      - name: "GreRemoteOuterIpv6"
        type: "string"
        value: ""
        access: "read-write"
        filter: ''
        display: "Gre Remote Outer Ipv6"
        comment: "Gre Remote Outer Ipv6"
  NetworkControlSnssaiList:
    display: "Network Control Snssai List"
    array:
      - name: "Index"
        type: "int"
        value: "1"
        access: "read-only"
        filter: '1~32'
        display: "Index"
        comment: "1~32"
      - name: "Sst"
        type: "int"
        value: "0"
        access: "read-write"
        filter: ''
        display: "Sst"
        comment: "Sst"
      - name: "Sd"
        type: "int"
        value: "0"
        access: "read-write"
        filter: ''
        display: "Sd"
        comment: "Sd"
      - name: "N3InterfaceId"
        type: "int"
        value: "1"
        access: "read-write"
        filter: '1~32'
        display: "N3 Interface Id"
        comment: "N3 Interface Id"
      - name: "N6InterfaceId"
        type: "int"
        value: "1"
        access: "read-write"
        filter: '1~32'
        display: "N6 Interface Id"
        comment: "N6 Interface Id"
      - name: "QerMaxSupportMbps"
        type: "int"
        value: "0"
        access: "read-write"
        filter: ''
        display: "Qer Max Support Mbps"
        comment: "Qer Max Support Mbps"
      - name: "StatisticEnabled"
        type: "int"
        value: "0"
        access: "read-write"
        filter: '0~1'
        display: "Statistic Enabled"
        comment: "Statistic Enabled"
      - name: "VlanIdMin"
        type: "int"
        value: "0"
        access: "read-write"
        filter: ''
        display: "Vlan Id Min"
        comment: "Vlan Id Min"
      - name: "VlanIdMax"
        type: "int"
        value: "0"
        access: "read-write"
        filter: ''
        display: "Vlan Id Max"
        comment: "Vlan Id Max"
  NetworkControlAclWhiteList:
    display: "Network Control Acl White List"
    array:
      - name: "Index"
        type: "int"
        value: "1"
        access: "read-only"
        filter: '1~32'
        display: "Index"
        comment: "1~32"
      - name: "UeIpv4"
        type: "string"
        value: "0.0.0.0"
        access: "read-write"
        filter: ''
        display: "Ue Ipv4"
        comment: "Ue Ipv4"
      - name: "UeIpv4Mask"
        type: "string"
        value: "255.255.255.0"
        access: "read-write"
        filter: ''
        display: "Ue Ipv4 Mask"
        comment: "Ue Ipv4 Mask"
      - name: "UeIpv6"
        type: "string"
        value: ""
        access: "read-write"
        filter: ''
        display: "Ue Ipv6"
        comment: "Ue Ipv6"
      - name: "UeIpv6Prefix"
        type: "int"
        value: "64"
        access: "read-write"
        filter: '1~128'
        display: "Ue Ipv6 Prefix"
        comment: "Ue Ipv6 Prefix"
      - name: "DstServerIpv4"
        type: "string"
        value: "0.0.0.0"
        access: "read-write"
        filter: ''
        display: "Dst Server Ipv4"
        comment: "Dst Server Ipv4"
      - name: "DstServerIpv4Mask"
        type: "string"
        value: "255.255.255.0"
        access: "read-write"
        filter: ''
        display: "Dst Server Ipv4 Mask"
        comment: "Dst Server Ipv4 Mask"
      - name: "DstServerIpv6"
        type: "string"
        value: ""
        access: "read-write"
        filter: ''
        display: "Dst Server Ipv6"
        comment: "Dst Server Ipv6"
      - name: "DstServerIpv6Prefix"
        type: "int"
        value: "64"
        access: "read-write"
        filter: '1~128'
        display: "Dst Server Ipv6 Prefix"
        comment: "Dst Server Ipv6 Prefix"
  NetworkControlAclBlackList:
    display: "Network Control Acl Black List"
    array:
      - name: "Index"
        type: "int"
        value: "1"
        access: "read-only"
        filter: '1~32'
        display: "Index"
        comment: "1~32"
      - name: "UeIpv4"
        type: "string"
        value: "0.0.0.0"
        access: "read-write"
        filter: ''
        display: "Ue Ipv4"
        comment: "Ue Ipv4"
      - name: "UeIpv4Mask"
        type: "string"
        value: "255.255.255.0"
        access: "read-write"
        filter: ''
        display: "Ue Ipv4 Mask"
        comment: "Ue Ipv4 Mask"
      - name: "UeIpv6"
        type: "string"
        value: ""
        access: "read-write"
        filter: ''
        display: "Ue Ipv6"
        comment: "Ue Ipv6"
      - name: "UeIpv6Prefix"
        type: "int"
        value: "64"
        access: "read-write"
        filter: '1~128'
        display: "Ue Ipv6 Prefix"
        comment: "Ue Ipv6 Prefix"
      - name: "DstServerIpv4"
        type: "string"
        value: "0.0.0.0"
        access: "read-write"
        filter: ''
        display: "Dst Server Ipv4"
        comment: "Dst Server Ipv4"
      - name: "DstServerIpv4Mask"
        type: "string"
        value: "255.255.255.0"
        access: "read-write"
        filter: ''
        display: "Dst Server Ipv4 Mask"
        comment: "Dst Server Ipv4 Mask"
      - name: "DstServerIpv6"
        type: "string"
        value: ""
        access: "read-write"
        filter: ''
        display: "Dst Server Ipv6"
        comment: "Dst Server Ipv6"
      - name: "DstServerIpv6Prefix"
        type: "int"
        value: "64"
        access: "read-write"
        filter: '1~128'
        display: "Dst Server Ipv6 Prefix"
        comment: "Dst Server Ipv6 Prefix"
  DpiCommon:
    display: "Dpi Common"
    list:
      - name: "MaxDetectPacketNum"
        type: "int"
        value: "20"
        access: "read-write"
        filter: ''
        display: "Max Detect Packet Num"
        comment: "Max Detect Packet Num"
      - name: "DnsCacheEnabled"
        type: "int"
        value: "0~1"
        access: "read-write"
        filter: ''
        display: "Dns Cache Enabled"
        comment: "Dns Cache Enabled"
      - name: "HttpProtoEnabled"
        type: "int"
        value: "0"
        access: "read-write"
        filter: '0~1'
        display: "Http Proto Enabled"
        comment: "Http Proto Enabled"
      - name: "HttpsProtoEnabled"
        type: "int"
        value: "0"
        access: "read-write"
        filter: '0~1'
        display: "Https Proto Enabled"
        comment: "Https Proto Enabled"
  DpiHeaderEnrichInfoList:
    display: "Dpi Header Enrich Info List"
    array:
      - name: "Index"
        type: "int"
        value: "1"
        access: "read-only"
        filter: '1~32'
        display: "Index"
        comment: "1~32"
      - name: "Type"
        type: "int"
        value: "0"
        access: "read-write"
        filter: ''
        display: "Type"
        comment: "Type"
      - name: "Name"
        type: "string"
        value: ""
        access: "read-write"
        filter: ''
        display: "Name"
        comment: "Name"
      - name: "Value"
        type: "string"
        value: ""
        access: "read-write"
        filter: ''
        display: "Value"
        comment: "Value"
  DpiAppList:
    display: "Dpi App List"
    array:
      - name: "Index"
        type: "int"
        value: "1"
        access: "read-only"
        filter: '1~32'
        display: "Index"
        comment: "1~32"
      - name: "AppName"
        type: "string"
        value: ""
        access: "read-only"
        filter: ''
        display: "App Name"
        comment: "App Name"
      - name: "ProxyEnabled"
        type: "int"
        value: "0"
        access: "read-only"
        filter: '0~1'
        display: "Proxy Enabled"
        comment: "Proxy Enabled"
      - name: "ForceCheckType"
        type: "int"
        value: "0"
        access: "read-write"
        filter: '0~1'
        display: "Force Check Type"
        comment: "Force Check Type"
      - name: "N3InterfaceId"
        type: "int"
        value: "1"
        access: "read-write"
        filter: '1~32'
        display: "N3 Interface Id"
        comment: "N3 Interface Id"
      - name: "N6InterfaceId"
        type: "int"
        value: "1"
        access: "read-write"
        filter: '1~32'
        display: "N6 Interface Id"
        comment: "N6 Interface Id"
      - name: "RuleList"
        type: "int"
        value: "1"
        access: "read-write"
        filter: '1~32'
        display: "Rule List"
        comment: "Rule List"
        array:
          - name: "Index"
            type: "int"
            value: "1"
            access: "read-only"
            filter: '1~32'
            display: "Index"
            comment: "1~32"
          - name: "RuleId"
            type: "int"
            value: ""
            access: "read-only"
            filter: ''
            display: "Rule Id"
            comment: "Rule Id"
          - name: "RegexMatch"
            type: "string"
            value: ""
            access: "read-only"
            filter: ''
            display: "Regex Match"
            comment: "Regex Match"
          - name: "FlowDescription"
            type: "string"
            value: ""
            access: "read-only"
            filter: ''
            display: "Flow Description"
            comment: "Flow Description"
          - name: "CustomName"
            type: "string"
            value: ""
            access: "read-only"
            filter: ''
            display: "Custom Name"
            comment: "Custom Name"